The pods of one namespace joined to their scanned workload's findings
import requests
url = "https://platform.ankra.app/org/security/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/pods \
--header 'Authorization: Bearer <token>'{
"result": [
{
"name": "<string>",
"uid": "<string>",
"namespace": "<string>",
"node": "<string>",
"phase": "<string>",
"owner_kind": "<string>",
"owner_name": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"containers": [
{
"name": "<string>",
"image": "<string>",
"image_digest": "<string>",
"ready": true,
"restart_count": 123,
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123
}
],
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"priority": "critical"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"capped": true
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}security
The pods of one namespace joined to their scanned workload's findings
The running pods of one namespace on one cluster, each container joined to the findings of the scanned workload container behind it through the pod’s owner chain. A container without a report is marked scanned=false. Narrow to one workload with workload_uid, or workload_kind and workload_name.
GET
/
org
/
security
/
pods
The pods of one namespace joined to their scanned workload's findings
import requests
url = "https://platform.ankra.app/org/security/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/pods \
--header 'Authorization: Bearer <token>'{
"result": [
{
"name": "<string>",
"uid": "<string>",
"namespace": "<string>",
"node": "<string>",
"phase": "<string>",
"owner_kind": "<string>",
"owner_name": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"containers": [
{
"name": "<string>",
"image": "<string>",
"image_digest": "<string>",
"ready": true,
"restart_count": 123,
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123
}
],
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"priority": "critical"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"capped": true
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 10000Values above 100 are clamped to 100.
Required range:
x >= 1